org.apache.uima.fit.component

## Class CasCollectionReader_ImplBase

- java.lang.Object
- - org.apache.uima.resource.Resource_ImplBase
  - - org.apache.uima.resource.ConfigurableResource_ImplBase
    - - org.apache.uima.collection.CollectionReader_ImplBase
      - - org.apache.uima.fit.component.CasCollectionReader_ImplBase

- All Implemented Interfaces:
    org.apache.uima.collection.base_cpm.BaseCollectionReader, org.apache.uima.collection.CollectionReader, org.apache.uima.resource.ConfigurableResource, org.apache.uima.resource.Resource

      public abstract class CasCollectionReader_ImplBase
      extends org.apache.uima.collection.CollectionReader_ImplBase

  Base class for CAS collection readers which initializes itself based on annotations.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.uima.resource.Resource

      `PARAM_AGGREGATE_SOFA_MAPPINGS, PARAM_CONFIG_MANAGER, PARAM_CONFIG_PARAM_SETTINGS, PARAM_EXTERNAL_OVERRIDE_SETTINGS, PARAM_PERFORMANCE_TUNING_SETTINGS, PARAM_RESOURCE_MANAGER, PARAM_UIMA_CONTEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CasCollectionReader_ImplBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `org.apache.uima.fit.internal.ExtendedLogger` | `getLogger()`
    `void` | `initialize()`
    `void` | `initialize(org.apache.uima.UimaContext context)` This method should be overwritten by subclasses.

    - ### Methods inherited from class org.apache.uima.collection.CollectionReader_ImplBase

      `destroy, getCasInitializer, getProcessingResourceMetaData, initialize, isConsuming, reconfigure, setCasInitializer, typeSystemInit`

    - ### Methods inherited from class org.apache.uima.resource.ConfigurableResource_ImplBase

      `getConfigParameterValue, getConfigParameterValue, setConfigParameterValue, setConfigParameterValue`

    - ### Methods inherited from class org.apache.uima.resource.Resource_ImplBase

      `getCasManager, getMetaData, getRelativePathResolver, getResourceManager, getUimaContext, getUimaContextAdmin, setLogger, setMetaData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.collection.CollectionReader

      `getNext`

    - ### Methods inherited from interface org.apache.uima.collection.base_cpm.BaseCollectionReader

      `getProgress, hasNext`

    - ### Methods inherited from interface org.apache.uima.resource.ConfigurableResource

      `getConfigParameterValue, getConfigParameterValue, setConfigParameterValue, setConfigParameterValue`

    - ### Methods inherited from interface org.apache.uima.resource.Resource

      `getMetaData, getResourceManager, getUimaContext, getUimaContextAdmin, setLogger`

- - ### Constructor Detail

    - #### CasCollectionReader_ImplBase

          public CasCollectionReader_ImplBase()

  - ### Method Detail

    - #### getLogger

          public org.apache.uima.fit.internal.ExtendedLogger getLogger()

      Specified by:
        `getLogger` in interface `org.apache.uima.resource.Resource`
      Overrides:
        `getLogger` in class `org.apache.uima.resource.Resource_ImplBase`

    - #### initialize

          public final void initialize()
                                throws org.apache.uima.resource.ResourceInitializationException

      Overrides:
        `initialize` in class `org.apache.uima.collection.CollectionReader_ImplBase`
      Throws:
        `org.apache.uima.resource.ResourceInitializationException`

    - #### initialize

          public void initialize(org.apache.uima.UimaContext context)
                          throws org.apache.uima.resource.ResourceInitializationException

      This method should be overwritten by subclasses.
      Parameters:
        `context` - the UIMA context the component is running in
      Throws:
        `org.apache.uima.resource.ResourceInitializationException` - if a failure occurs during initialization.

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.